///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 28-04-2012 Creation time: 13:43:41
//
//  Contents  :
//    This file contains the basic structure for the utilization-level of
//    a form. It may (and should) be modified.
//
///////////////////////////////////////////////////////////////////////////////

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"


******************************************************************************
* This class is derived from the implementation-level class of the form.
* Instance variables are declared in the _WebcamDialog class.
******************************************************************************
CLASS WebcamDialog FROM _WebcamDialog
   EXPORTED:
      METHOD init
      METHOD create
      METHOD SetDevice
      METHOD SnapShot
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD WebcamDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   * Execute method of the super class
   ::_WebcamDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::oBtnExit:Activate     := {||PostAppEvent(xbeP_Close,,,SELF)}
   ::oBtnCapture:Activate  := {||::SnapShot()}
   ::oBtnSave:Activate     := {||::oBitMap:caption:saveFile( StrTran( AppName( .T. ), AppName(), '' ) + "Snapshot.jpg", XBPBMP_FORMAT_JPG, 50 ) }

RETURN self

******************************************************************************
* Request system resources
******************************************************************************
METHOD WebcamDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )
   * Execute method of the super class
   ::_WebcamDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   aSize:= ::currentSize()

   ::setPos( { Int( ( AppDeskTop():currentSize()[ 1 ] - aSize[ 1 ] ) / 2 ), ;
               AppDeskTop():currentSize()[ 2 ] - aSize[ 2 ] } )

   ::oBtnSave:disable()

   * Display the form

   ::show()
RETURN self

METHOD WebcamDialog:SetDevice(nId,cName,cVersion)
If ValType(nId)      = "N" ; ::oImage:DeviceId       := nId      ; Endif
If ValType(cName)    = "C" ; ::oImage:DeviceName     := cName    ; Endif
If ValType(cVersion) = "C" ; ::oImage:DeviceVersion  := cVersion ; Endif
Return SELF

METHOD WebcamDialog:SnapShot()
******************************
   ::oBitmap:setCaption( ::oImage:capture() )
Return


* Include program code for the implementation-level class of the form
#include "_WEBCAMDIALOG.PRG"

//EOF
/////
